import sys
import random

randomseed = random.randint(0,1000000000)
set_id = int(sys.argv[1])
_split_num = 0
if set_id > 2:
    _split_num = int(sys.argv[4])
lr_loop = True
path_prefix = "../data/JIGSAWS/"
sync_path_prefix = '../data/TASD-2/'
_tb_path = '../logs/logs_'+sys.argv[3]+'_'
if lr_loop == False:
    _tb_path = '../logs/logs_noloop'+sys.argv[3]+'_'
_ITER_NUM = 100000
_EPOCH_NUM = 3000
_FEAT_SIZE = 400
_DECODE_SIZE = 512
_FC_SIZE = 128
_SEG = 10
_BATCH_SIZE = 64
_JOINT_NUM = 17
_FRAME_SIZE = 16

dataset_name = ['', 'sysu_sync_diving_3m', 'sysu_sync_diving_10m', 'Suturing'+str(_split_num)+'_'+str(_SEG), 'Knot_Tying'+str(_split_num)+'_'+str(_SEG), 'Needle_Passing'+str(_split_num)+'_'+str(_SEG)]
path = ['', sync_path_prefix+"SYSU_SyncDiving_all_dict_aug_seg"+str(_SEG)+"_1.npy",
        sync_path_prefix+"SYSU_SyncDiving_all_dict_aug_seg"+str(_SEG)+"_2.npy",
        path_prefix+"reb_Suturing_all_dict_aug_seg"+str(_SEG)+"_64_fold4_split"+str(_split_num)+"_joint.npy",
        path_prefix+"reb_Knot_Tying_all_dict_aug_seg"+str(_SEG)+"_64_fold4_split"+str(_split_num)+"_joint.npy",
        path_prefix+"reb_Needle_Passing_all_dict_aug_seg"+str(_SEG)+"_64_fold4_split"+str(_split_num)+"_joint.npy"]
if set_id > 2:
    _JOINT_NUM = 19
    _FRAME_SIZE = 50




_theta = 0.6
is_training = True

initial_lr = 1e-4
lr_decay = 0.1
weight_decay = 0.1
lr_decay_points = [20, 50, 100]
bn_momentum = 0.5
batch_normalization = False
isPearson = False
isSpearmanr=False
_data_path = path[set_id]

